Asynchronously enqueues a request to create a batch of new transaction items.
curl --request POST \
--url https://api.example.com/api/v1/transaction/bulk \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"externalId": "<string>",
"type": "<string>",
"affiliateId": "<string>",
"clickKey": "<string>",
"externalCustomerId": "<string>",
"externalBrandId": "<string>",
"externalProductId": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"country": "<string>",
"country_code": "<string>",
"depositAmount": 123,
"grossRevenue": 123,
"wageredAmount": 123,
"revShareCommission": 123,
"cpaCommission": 123,
"fixedCommission": 123,
"category": "<string>",
"label": "<string>",
"note": "<string>",
"operatorId": "<string>"
}
]
'import requests
url = "https://api.example.com/api/v1/transaction/bulk"
payload = [
{
"externalId": "<string>",
"type": "<string>",
"affiliateId": "<string>",
"clickKey": "<string>",
"externalCustomerId": "<string>",
"externalBrandId": "<string>",
"externalProductId": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"country": "<string>",
"country_code": "<string>",
"depositAmount": 123,
"grossRevenue": 123,
"wageredAmount": 123,
"revShareCommission": 123,
"cpaCommission": 123,
"fixedCommission": 123,
"category": "<string>",
"label": "<string>",
"note": "<string>",
"operatorId": "<string>"
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
externalId: '<string>',
type: '<string>',
affiliateId: '<string>',
clickKey: '<string>',
externalCustomerId: '<string>',
externalBrandId: '<string>',
externalProductId: '<string>',
transactionDate: '2023-11-07T05:31:56Z',
country: '<string>',
country_code: '<string>',
depositAmount: 123,
grossRevenue: 123,
wageredAmount: 123,
revShareCommission: 123,
cpaCommission: 123,
fixedCommission: 123,
category: '<string>',
label: '<string>',
note: '<string>',
operatorId: '<string>'
}
])
};
fetch('https://api.example.com/api/v1/transaction/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Transaction
Asynchronously enqueues a request to create a batch of new transaction items.
POST
/
api
/
v1
/
transaction
/
bulk
Asynchronously enqueues a request to create a batch of new transaction items.
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Headers
Body
application/jsontext/jsonapplication/*+json
The new transaction item body batch.
Response
202
Accepted
⌘I